Build #3 for snaplet-riak-0.2.1.1

[all reports]

Package snaplet-riak-0.2.1.1
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2017-11-10 12:11:42.142025955 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies
Flags none

Build log

[view raw]

Resolving dependencies...
cabal: Could not resolve dependencies:
trying: base-4.9.1.0/installed-4.9... (dependency of snaplet-riak-0.2.1.1)
next goal: riak-protobuf (dependency of snaplet-riak-0.2.1.1)
rejecting: riak-protobuf-0.22.0.0, riak-protobuf-0.21.0.0 (conflict:
snaplet-riak => riak-protobuf>=0.16.0 && <0.21)
trying: riak-protobuf-0.20.0.0
next goal: protocol-buffers-descriptor (dependency of riak-protobuf-0.20.0.0)
rejecting: protocol-buffers-descriptor-2.4.5,
protocol-buffers-descriptor-2.4.4, protocol-buffers-descriptor-2.4.3,
protocol-buffers-descriptor-2.4.2, protocol-buffers-descriptor-2.4.0,
protocol-buffers-descriptor-2.3.1, protocol-buffers-descriptor-2.3.0,
protocol-buffers-descriptor-2.2.0 (conflict: riak-protobuf =>
protocol-buffers-descriptor>=2.1.4 && <2.2)
trying: protocol-buffers-descriptor-2.1.12
next goal: protocol-buffers (dependency of riak-protobuf-0.20.0.0)
rejecting: protocol-buffers-2.4.5, protocol-buffers-2.4.4,
protocol-buffers-2.4.3, protocol-buffers-2.4.2, protocol-buffers-2.4.1,
protocol-buffers-2.4.0, protocol-buffers-2.3.1, protocol-buffers-2.3.0,
protocol-buffers-2.2.0 (conflict: riak-protobuf => protocol-buffers>=2.1.4 &&
<2.2)
rejecting: protocol-buffers-2.1.12 (conflict: base==4.9.1.0/installed-4.9...,
protocol-buffers => base>=4.7.0 && <4.9)
rejecting: protocol-buffers-2.1.11, protocol-buffers-2.1.10,
protocol-buffers-2.1.9, protocol-buffers-2.1.8, protocol-buffers-2.1.7,
protocol-buffers-2.1.6, protocol-buffers-2.1.5, protocol-buffers-2.1.4
(conflict: protocol-buffers-descriptor => protocol-buffers==2.1.12)
rejecting: protocol-buffers-2.1.3, protocol-buffers-2.1.2,
protocol-buffers-2.1.1, protocol-buffers-2.1.0, protocol-buffers-2.0.17,
protocol-buffers-2.0.14, protocol-buffers-2.0.12, protocol-buffers-2.0.11,
protocol-buffers-2.0.10, protocol-buffers-2.0.9, protocol-buffers-2.0.8,
protocol-buffers-2.0.7, protocol-buffers-2.0.6, protocol-buffers-2.0.5,
protocol-buffers-2.0.2, protocol-buffers-2.0.0, protocol-buffers-1.8.3,
protocol-buffers-1.8.2, protocol-buffers-1.8.0, protocol-buffers-1.7.9,
protocol-buffers-1.6.0, protocol-buffers-1.5.0, protocol-buffers-1.4.0,
protocol-buffers-1.2.2, protocol-buffers-1.2.1, protocol-buffers-1.0.1,
protocol-buffers-1.0.0, protocol-buffers-0.3.1, protocol-buffers-0.2.9,
protocol-buffers-0.2.8, protocol-buffers-0.1.0, protocol-buffers-0.0.5,
protocol-buffers-0.0.2, protocol-buffers-0.0.1 (conflict: riak-protobuf =>
protocol-buffers>=2.1.4 && <2.2)
Backjump limit reached (currently 2000, change with --max-backjumps or try to
run with --reorder-goals).